using OASystem.API.OAMethodLib.Quartz.Business;
using Quartz;

namespace QuzrtzJob.Factory
{
    public class ALiYunPostMessageJob : IJob
    {
        private readonly ILogger<ALiYunPostMessageJob> _logger;
        public ALiYunPostMessageJob(ILogger<ALiYunPostMessageJob> logger)
        {
            _logger = logger;
        }

        public Task Execute(IJobExecutionContext context)
        {
            _logger.LogInformation("调用阿里云短信接口 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            //在此处编写任务业务代码
            DeleReminderMessage.PostMessage();

            return Task.CompletedTask;
        }
    }
}
